import 'dart:convert';

import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';

import '../../../models/counts_by_day.dart';
import '../../../ui/widgets/main_screen/counts_by_day_chart.dart';

class ChartCountsByDayCardContent extends StatelessWidget {
  final int daysCount;
  final CountsByDayData chartData;
  final bool isLoading;

  const ChartCountsByDayCardContent(
      {super.key, required this.daysCount, required this.chartData, required this.isLoading});

  @override
  Widget build(BuildContext context) {
    final TextTheme textTheme = Theme.of(context).primaryTextTheme;
    final String placeholder = '⏳';

    return Column(
      mainAxisSize: MainAxisSize.min,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          'counts_by_day',
          style: textTheme.titleLarge!.apply(fontWeightDelta: 2),
        ).tr(
          namedArgs: {
            'daysCount': this.daysCount.toString(),
          },
        ),
        const SizedBox(height: 8),
        this.isLoading
            ? Text(placeholder)
            : CountsByDayCardContentChart(
                chartData: CountsByDayData.fromJson(jsonDecode(this.chartData.toString())),
              ),
      ],
    );
  }
}
